c=======================================================================
c***********************************************************************
      subroutine pixel_corners(ngt)
c***********************************************************************
c=======================================================================      

c      implicit double precision (a-h,o-z)
      IMPLICIT NONE

      include './com_18/parameter.common'
      include './com_18/coord.common'
      include './com_18/cstpi.common'
      include './com_18/cte.common'
      include './com_18/disper.common'
      include './com_18/griddata.common'
      include './com_18/input_par.common'
      
      integer ngt,k,ncr
      real*4 aaa,bbb
      double precision xlgvec(n_nghmx),xltvec(n_nghmx)

      ylongi = xlg(ngt)
      ylati = xlt(ngt)     
      
      if (igtyp.eq.0) then 
        ncor(ngt) = 4
        xlgcor(1,ngt)=ylongi-declg/2.
        xlgcor(2,ngt)=ylongi+declg/2.
        xlgcor(3,ngt)=ylongi+declg/2.
        xlgcor(4,ngt)=ylongi-declg/2.
        xltcor(1,ngt)=ylati-declat/2.
        xltcor(2,ngt)=ylati-declat/2.
        xltcor(3,ngt)=ylati+declat/2.
        xltcor(4,ngt)=ylati+declat/2.
c   area: pixel area (m2)
c      1.23604116d+10 = (2*pi*r/360)**2 with r=6370000 m (earth radius)
c  ---------------------------------------------------------------------
        areapix(ngt) = 1.23604116d+10*declg*declat*cos(ylati*pi/180.)
      else
        read(97,*)aaa,bbb,area,ncr,(xlgvec(k),k=1,ncr)
     &           ,(xltvec(k),k=1,ncr)
        ncor(ngt)=ncr
        do k = 1, ncr
         xlgcor(k,ngt)=xlgvec(k)
         xltcor(k,ngt)=xltvec(k)
        end do
        areapix(ngt) = area
      endif

      if (ncor(ngt).gt.n_nghmx) then 
             write(*,*)'Maximum number of neighbors n_nghmx=',n_nghmx,
     &     ' not large enough',
     &     ' Increase its value in parameter.common - Program Stop'
             write(61,*)'Maximum number of neighbors n_nghmx=',n_nghmx,
     &     ' not large enough',
     &     ' Increase its value in parameter.common - Program Stop'
             stop
      endif        
      
      return 
      end subroutine pixel_corners