c=======================================================================
c***********************************************************************
      subroutine read_luspecies(ngt)
c***********************************************************************
c=======================================================================

      implicit none
      include './com_18/parameter.common'
      include './com_18/cte.common'      
      include './com_18/ecoin.common'
      include './com_18/inidata.common'      
      include './com_18/landuse.common'
      include './com_18/nspc.common'
      real*4 aaa,bbb,rf_crop(nplant),rf_past(nplant)
      integer ip,ngt,i,j
     
      
      if (ilusp_rd.eq.1) then
      
        read(194,*)aaa,bbb,(rf_crop(i),i=1,ncrop)
     &            ,(rf_past(j),j=1,npast)
     
        do ip = npft0+1,npft0+ncrop
          frac(ip) = frac_crop(ngt) * rf_crop(ip-npft0)
        end do
	
        do ip = npft0+ncrop+1,npft
          frac(ip) = frac_past(ngt) * rf_past(ip-npft0-ncrop)
        end do	
      
      else

       if(ncrop.gt.0) then
        do ip = npft0+1,npft0+ncrop
          frac(ip) = frac_crop(ngt) / ncrop
        end do
       endif
      
       if(npast.gt.0) then
        do ip = npft0+ncrop+1,npft
          frac(ip) = frac_past(ngt) / npast
        end do
       endif
       
      endif  

      do ip = npft0+1, npft
        yfrac_ini(ip,ngt) = frac(ip)
      end do     
          

      return
      end subroutine read_luspecies