c=======================================================================
c**********************************************************************
      subroutine biomass_correction
c***********************************************************************
c=======================================================================
      implicit none
      
      include './com_18/parameter.common' 
      include './com_18/annppf.common'
      include './com_18/biomasse.common'
      include './com_18/dayres.common'
      include './com_18/ecoin.common'
      include './com_18/fire_emi.common'      
      include './com_18/npp.common'
      include './com_18/nspc.common'
      include './com_18/plant_pool.common'
      include './com_18/soil_marie.common'
      include './com_18/soil_pool.common' 
      integer iday,iday1,ip,ipool
      real*4 sum_xlit,sum_emi   

    
      do ip = 1,npft0       
       if ((frac(ip).gt.1.e-7)) then
        do iday = 1, nd
         do ipool = 1, npool
          sum_xlit = 0.
	  sum_emi = 0.
          do iday1 = 1, iday
           sum_xlit = sum_xlit + xlit_newprod(ip,ipool,iday1)
     &                           + xlit_burn(ip,ipool,iday1)
           sum_emi = sum_emi + emi_burn_veg(ip,ipool,iday1)     
          end do
          carbon(ip,ipool,iday) = carbon(ip,ipool,iday) 
     &                          - sum_xlit - sum_emi 
          if(carbon(ip,ipool,iday).lt.0.) carbon(ip,ipool,iday) = 0       
         enddo
        enddo                                     
       endif
      enddo
      
      return
      end subroutine biomass_correction