c=======================================================================
c***********************************************************************
      subroutine year_iteration(ngt,itmt,tmt_it)
c***********************************************************************
c=======================================================================
      implicit none
      
      include './com_18/parameter.common'      
      include './com_18/annee.common'
      include './com_18/annppf.common'
      include './com_18/bagnum.common'
      include './com_18/carbon_maxi.common'
cIngrid201804
      include './com_18/climin0.common'
      include './com_18/cmoiRmin.common'
      include './com_18/crops.common'
      include './com_18/cte.common'
      include './com_18/ecoin.common'
      include './com_18/ext_con2.common'
      include './com_18/gcaci2.common'
      include './com_18/gk.common'
      include './com_18/inidata.common'      
      include './com_18/init.common'
      include './com_18/iprt.common'      
      include './com_18/lai.common'
cIngrid201804
      include './com_18/laih2o.common'
cIngrid201804
      include './com_18/lailim.common'
      include './com_18/laiste.common'
      include './com_18/litiere.common'
      include './com_18/loop.common'
      include './com_18/management.common'      
      include './com_18/mois.common'
cIngrid201804
      include './com_18/monthcst.common'
cIngrid201804
      include './com_18/monwat.common'
      include './com_18/number_year.common'
      include './com_18/nspc.common'
      include './com_18/pho_sch.common'      
      include './com_18/plant_evol.common'
      include './com_18/plant_pool.common'
      include './com_18/pnpp2.common'
      include './com_18/prev_yr.common'      
      include './com_18/res_temp2.common'
cIngrid201804
      include './com_18/strate.common'
      include './com_18/tresh.common'
      include './com_18/xvalues.common'
ccccc Ingrid - stress_aera
c donnees de sol (clay)
      include './com_18/griddata.common'
c aswday
      include './com_18/varday.common'
c fci,fsi,wpi
      include './com_18/eco.common'
ccccc Ingrid - stress_aera      
      integer iday_sow,iharv

      
      real*4 dorm_rfac,rbmax,rem_harvbio,xlit_harvbio,rbudget
      real*4 stress_aera(npft),poro_h2o,poro_h2o_crit(npft)
      real*4 asw_dim,ssw

c-----------------------------------------------
c JLP ajouté pour implicit none
c
      integer , intent(in) :: ngt, itmt
      real*4  , intent(in) :: tmt_it
      
      integer iday2,ipool,m
      
      real*4 carb_max,d_leaf_max,Fin,Fin0,gk1,gk2,gk2_dorm,gk3
      real*4 gk3max,gknew,gktot,grow_fac,h_res,resp_frac,s,test_grow,
     &      w_min,wminfac,wminfacm1,xf1,xf2,rbmax_ini
c-----------------------------------------------

      dimension gktot(npool),Fin0(npool),Fin(npool),gk2(npool),
     &          gk1(npool),
     &          resp_frac(npool),w_min(nplant)
     
     
      do ip = ipi,ipf
       
       if(ip.le.npft0.or.ip.ge.npft0+ncrop+1) ynppf(ip) = 0.
       
       iharv = 0
       
       ybinc(ip) = 0.
       
       if(frac(ip).gt.1.e-7) then
        
	iday_sow = int(sow_date(ip))
	
        do iday = 1, nd
	
          if (iday.eq.1) then

            w_min(ip) = rese(ip) 
cfv     &                + (rese(ip)/xip(ip,1))**(1./xkappa(ip))
            if(iday_sow.gt.0) w_min(ip) = carb_init(ip,2)

            if(ip.le.npft0.or.ip.ge.npft0+ncrop+1)
     &                             xlai_max(ip) = 0.
            if(ip.gt.npft0.and.ip.le.npft0+ncrop)
     &                             xlai_max(ip) = ylaimax_ini(ip,ngt)	    
            if(ip.le.npft0.or.ip.ge.npft0+ncrop+1) 
     &                             xlai_min(ip) = 100. 
            if(ip.gt.npft0.and.ip.le.npft0+ncrop) 
     &                             xlai_min(ip) = ylaimin_ini(ip,ngt)		    

            xlai_moy(ip) = 0.

          endif

          iday2 = iday - 1
          if(iday .eq. 1) iday2 = nd
          if(iphase(ip,iday).eq.1.and.carbon(ip,2,iday2).eq.0.) then	  
            do ipool = 1, npool
              carbon(ip,ipool,iday2) = carb_init(ip,ipool)
            end do
            rese(ip) = carbon(ip,2,iday2)
          endif
          if(rese(ip).gt.carbon(ip,2,iday2)) rese(ip) 
     &                                       = carbon(ip,2,iday2)
        
          xgpp(ip,iday)   = 0. 
          xnpp(ip,iday)   = 0.
          xlrm(ip,iday)   = 0.
          xfract(ip,iday) = 0.
          xlai(ip,iday)   = carbon(ip,1,iday2) * splai(ip)

          if(ip.le.npft0.or.ip.ge.npft0+ncrop+1) then
            if (xlai(ip,iday).gt.xlai_max(ip)) xlai_max(ip) =
     &                                         xlai(ip,iday)
            if (xlai(ip,iday).lt.xlai_min(ip)) xlai_min(ip) =
     &                                         xlai(ip,iday)
	  else
           if(iharv.eq.0) then
	     if (xlai(ip,iday).gt.xlai_max(ip)) xlai_max(ip) =
     &                                            xlai(ip,iday)	
             if (xlai(ip,iday).lt.xlai_min(ip)) xlai_min(ip) =
     &                                            xlai(ip,iday)
             if(maturity(ip).eq.-999) xlai_max(ip) = 0.
	     if(maturity(ip).eq.-999) xlai_max(ip) = 0.	     
             ylaimax_ini(ip,ngt) = xlai_max(ip)
	     ylaimin_ini(ip,ngt) = xlai_min(ip)
             if(iphase(ip,iday).eq.2) then
	       ylaimax_ini(ip,ngt) = 0.
	       ylaimin_ini(ip,ngt) = 0.
c	       iharv = 1
	     endif  
	   else 
	     if (xlai(ip,iday).gt.ylaimax_ini(ip,ngt)) 
     &                             ylaimax_ini(ip,ngt) = xlai(ip,iday)	
             if (xlai(ip,iday).gt.ylaimin_ini(ip,ngt)) 
     &                             ylaimin_ini(ip,ngt) = xlai(ip,iday)	
	   endif   
	  endif  
          xlai_moy(ip) = xlai_moy(ip) + xlai(ip,iday)

c=======================================================================
c   gpp calculation:
c
c   gpp   = sum over LAI of leaf layer gpp;
c   splai = specific leaf area (m2 gC-1).
c=======================================================================

c-----------------------------------------------------------------------
          if(xlai(ip,iday).gt.0.) call solar_flux
          
          if(itmt.eq.0.or.
     &           (nyear.eq.1.or.tmt_it.eq.itmt.or.ip.eq.isp)) then
          
          call gpp_cal(ngt)
          
          endif  
     
          
c           do ipool = 1, npool
c              resp_fac(ip,ipool,iday) = 
c     &                        resp_fac_temp(ip,ipool,iday,ngt)
c            enddo

c            gca(ip,iday) = gca_temp(ip,iday,ngt) 
c            gci(ip,iday) = gci_temp(ip,iday,ngt)
 
c            zgpp(ip,iday) = zgpp_temp(ip,iday,ngt)

c            zfract(ip,iday) = zfract_temp(ip,iday,ngt)
c            zfh2o(ip,iday)  = zfh2o_temp(ip,iday,ngt)
            
c         endif 
          
c-----------------------------------------------------------------------

          xgpp(ip,iday) = xgpp(ip,iday)  + zgpp(ip,iday) * xlai(ip,iday)
          xfract(ip,iday) = xfract(ip,iday)  
     &                    + zfract(ip,iday) * xlai(ip,iday)

c=======================================================================
c   determination of pool decrease factor, ktot (d-1):
c      ktot = k1 + k2 + k3
c      where k1 = respiration factor;
c            k2 = litter production factor;
c            k3 = factor describing biomass tranfer from reserves to 
c                 "green" pool.
c
c   xnpp = daily npp.
c=======================================================================

          resp_frac(1) = 1.
          resp_frac(2) = 1.

cIngrid201806
c          if (ip.gt.nherb .and. carbon(ip,2,iday2).gt.0.) then
          if (ip.gt.nherb .and. ip.le.npft0) then 
           if (carbon(ip,2,iday2).gt.0.) then

            resp_frac(2) = xip(ip,2)
     &                   * (carbon(ip,2,iday2)**(xkappa(ip)-1.)) 
            if (resp_frac(2).gt.1.) resp_frac(2) = 1.
           endif
	  endif
	  
             if((idec(ip).eq.2).and.(xlai(ip,iday).le.0.01))then
	        dorm_rfac = 0.1
	      else
	        dorm_rfac = 1.
	      endif	  
c Ingrid201806 - stress aeration
         ssw=(fsi-wpi)/(fci-wpi)
	 poro_h2o=aswday(iday)/ssw
	 poro_h2o_crit(ip)=poro_crit(ip)+(0.004*clay(ngt))
         stress_aera(ip)=
     &	       max(0.,min(1.,((1.-poro_h2o)/(1.-poro_h2o_crit(ip)))))	  
c Ingrid201806 - stress aeration


          do ipool = 1, npool
            gk1(ipool) = gk1_25(ip,ipool) * resp_frac(ipool)
     &                 * resp_fac(ip,ipool,iday)*dorm_rfac
            gk2(ipool) = gk_fall(ip,ipool,1)
            if(ipool.eq.1) then
              if (
c     &       tmin2(iday)  .le. ttreshi1(ip)  .or.
c     &            tmax2(iday)  .ge. ttresha1(ip)  .or.
     &            water2(iday) .le. wattresh1(ip)) then !.or.
c     &            xpar2(iday)  .le. xpar_tresh1(ip) .or.
c     &            iphase(ip,iday) .eq. 2) then
                gk2(ipool) = gk_fall(ip,ipool,2)
              endif       
              if (tmin2(iday)  .le. ttreshi1(ip)  .or.
     &            xpar2(iday)  .le. xpar_tresh1(ip)) then !.or.
charv     &            iphase(ip,iday) .eq. 2) then
                 gk2(ipool) = gk_fall(ip,ipool,3)
              endif
            elseif (ipool.eq.2) then
cb              if (tmin2(iday)  .le. ttreshi2(ip)  .or.
c     &            tmax2(iday)  .ge. ttresha2(ip)  .or.
cb     &            water2(iday) .le. wattresh2(ip) .or.
cb     &            xpar2(iday)  .le. xpar_tresh2(ip)  .or.
cb     &            iphase(ip,iday).eq.2) then
charv              if(iphase(ip,iday).eq.2) then
charv                gk2(ipool) = gk_fall(ip,ipool,3)
charv              endif
c Ingrid201806 - aeration stress
c                if(poro_h2o.gt.poro_h2o_crit(ip))then
c		  gk2(ipool) = gk_fall(ip,ipool,2)
c     &               +((gk_fall(ip,ipool,1)-gk_fall(ip,ipool,2))
c     &               *(stress_aera(ip))**2)
c		endif

            endif
          enddo

          gk2_dorm = 0.2 / 365.
          if (carbon(ip,2,iday2).le.w_min(ip) .and. 
     &        iphase(ip,iday).ne.2) then
            gk1(2) = 0.
            gk2(2) = gk2_dorm
          endif

          wminfac = 1.5
          wminfacm1 = wminfac - 1.
          if (carbon(ip,2,iday2).lt.wminfac*w_min(ip).and.
     &        carbon(ip,2,iday2).gt.w_min(ip) .and.
     &        iphase(ip,iday).ne.2) then
            xf1 = carbon(ip,2,iday2) - w_min(ip)
            xf2 = wminfac * w_min(ip) - carbon(ip,2,iday2)
            gk1(2) = gk1(2) * xf1 / (wminfacm1 * w_min(ip))
            gk2(2) = (gk2(2)*xf1 + xf2*gk2_dorm) / (wminfacm1*w_min(ip))
          endif
              
          do ipool = 1, npool
            gktot(ipool) = gk1(ipool) + gk2(ipool)
            xlit_prod(ip,ipool,iday) = gk2(ipool) 
     &                               * carbon(ip,ipool,iday2)
          enddo

c=======================================================================
c   phenology:
c
c   S is a phenological parameter. It determine the fraction
c   of the gross primary productivity allocated to leaves and fine roots.
c
c   S = 0 during cold or warm period;
c   S = rootf during the growing season;
c   S = Smax during the rest of the year, limiting the green carbon
c       pool to a maximum function of the wood biomass.
c=======================================================================

          S    = 0.
          gk3  = 0.
          carb_max = 0.


          if (tmin2(iday)     .gt. ttreshi1(ip)    .and.
c     &        tmax2(iday)     .lt. ttresha1(ip)    .and.
     &        water2(iday)    .gt. wattresh1(ip)   .and.
     &        xpar2(iday)     .gt. xpar_tresh1(ip).and.
     &        iphase(ip,iday) .eq. 1) then
            if (ip.le.npft0) then
              carb_max = xip(ip,1) *
     &                 (carbon(ip,2,iday2)**xkappa(ip))
            else
              carb_max = 10./splai(ip)
            endif
            if(carb_max.lt.rese(ip)) carb_max = rese(ip)
            gknew = gktot(1)
            if (carb_max.gt.carb_max0(ip,iday)) then
              if (carbon(ip,1,iday2).le.carb_max0(ip,iday)) then 
                carb_max = carb_max0(ip,iday)
              else
                carb_max = carbon(ip,1,iday2)
              endif
              gknew    = gk1(1)
            endif
            d_leaf_max = (carb_max - carbon(ip,1,iday2))/(1-h_grow) 
     &                 + gknew*carbon(ip,1,iday2)
            if (d_leaf_max .lt. 0.) d_leaf_max = 0.
            if (xgpp(ip,iday).gt.0.) S = d_leaf_max / xgpp(ip,iday)
            if (xgpp(ip,iday).eq.0.) S = 1.
            if (S .lt. 0.)           S = 0.
            if (S .gt. rootf(ip))    S = rootf(ip)
            if (S.eq.rootf(ip) .and. rese(ip).gt.0.) then
              gk3max = gkboom(ip)
              if (carbon(ip,1,iday2).lt.carb_max .and.
     &            carbon(ip,1,iday2).lt.rese(ip)) then
                gk3max = (d_leaf_max - S * xgpp(ip,iday))/ rese(ip)
                if(gk3max.lt.0.) then
                  gk3max = 0.
                endif
                gk3  = gkboom(ip)
                if(gk3.gt.gk3max) gk3 = gk3max
              endif
            endif
          endif

c=======================================================================
c     incoming fluxes
c=======================================================================

          Fin0(1) = S * xgpp(ip,iday) 
          Fin0(2) = (1. - S) * xgpp(ip,iday)
          Fin(1)  = Fin0(1) + gk3 * rese(ip)
          Fin(2)  = Fin0(2)

	  

c=======================================================================
c     management control (for management cuts)
c=======================================================================

          if (imanag.eq. 1) then
            icut = 0
            do ict = 1, mg_days
             if (iday_mg(ict).eq.iday) icut = ict
            end do
          endif
          
c=======================================================================
c      pools calculation
c=======================================================================
c      write(*,*)'year_iteration:before ipool=1,npool, if carbon ...'

          do ipool = 1, npool

            if (carbon(ip,ipool,iday2).lt.0.) then
              write(61,*) iyear(ip),iday,ip,ipool,
     &                    carbon(ip,ipool,iday2) 
              stop
            endif
            if (Fin(ipool).lt.0.) Fin(ipool) = 0.
            if (ipool.eq.1) then
              xlrm(ip,iday) = xlrm(ip,iday)+gk1(ipool)
     &                      * carbon(ip,ipool,iday2)
            endif 
            h_res = 0.
            test_grow = gk1(ipool) * carbon(ip,ipool,iday2)
            if (ipool.eq.2) test_grow = test_grow + gk3 * rese(ip)
            if (Fin(ipool) .gt. test_grow) h_res = h_grow
            grow_fac = 1. - h_res
            Fin(ipool) = Fin(ipool) * grow_fac

            gktot(ipool) = gk1(ipool) * grow_fac
            if (ipool.eq.2 .and. carbon(ip,ipool,iday2).ne.0.)
     &        gktot(ipool) = gktot(ipool) 
     &                     + gk3*rese(ip)/carbon(ip,ipool,iday2)
            xnpp(ip,iday) = xnpp(ip,iday) + Fin(ipool)
     &                    - gktot(ipool)*carbon(ip,ipool,iday2)

            gktot(ipool) = gktot(ipool) + gk2(ipool)

c=======================================================================
c   Reservoir budget and update of carbon biomass pool
c=======================================================================     
     
            rbudget = Fin(ipool) - gktot(ipool)*carbon(ip,ipool,iday2)    
	    
            carbon(ip,ipool,iday) = carbon(ip,ipool,iday2) + rbudget
	    if(iday.eq.1) carbon_ini(ip,ipool) = carbon(ip,ipool,iday2)


c=======================================================================
c   Biomass increment for species longevity calculation
c=======================================================================     
     
            ybinc(ip) = ybinc(ip)+ rbudget      
     
	    
c=======================================================================      
c   Estimation of PFT root biomass per m2 of presence (g C m-2)
c     rootsh = root:shoot ratio (from Mokani et al., Global Change Biol
c                               12, 84-96, 2006) 
c     root_biomass = root biomass (gC m-2)
c=======================================================================
            if (ipool.eq.2)then
             rbmax = (rootsh(ip)/(1.+rootsh(ip)))
     &                 *(carbon(ip,1,iday)+carbon(ip,2,iday))
             root_biomass(ip,iday) = min(carbon(ip,2,iday),rbmax)
	     if(iday.eq.1) then
	       rbmax_ini = (rootsh(ip)/(1.+rootsh(ip)))
     &                 *(carbon(ip,1,iday2)+carbon(ip,2,iday2))
               root_ini(ip) = min(carbon(ip,2,iday2),rbmax_ini)  
     	     endif
	    endif

c=======================================================================            
c  Management calculation
c        fcut = fraction of reservoir cut
c=======================================================================            
            fcut = 0.
            
            if ((imanag.eq.1).and.(icut.ne.0)) then
             if (mg_mode.eq.1) then
c             reservoir 1: LAI is reduced to value stored in cleft_mg    
              if((ipool.eq.1).and.(carbon(ip,1,iday).gt.1.e-10)) fcut = 
     &          1.-((cleft_mg(1,icut)/splai(ip))/carbon(ip,1,iday))
c             reservoir 2: aboveground carbon is reduced to value stored  
c                          in cleft_mg
c                          belowground fraction is calculated from 
c                          root:shoot ratio rootsh(ip)      
              if((ipool.eq.2).and.(carbon(ip,2,iday).gt.1.e-5)) fcut = 
     &          1.-((cleft_mg(2,icut)+root_biomass(ip,iday))
     &         /carbon(ip,2,iday))
              if (fcut.lt.0.) fcut = 0. 
              if (fcut.gt.1.) fcut = 1.     
             endif
            endif
c=======================================================================
c     crop harvested biomass 
c=======================================================================
            rem_harvbio = 0.
	    xlit_harvbio = 0.
	    
         if(iphase(ip,iday).eq.2.or.
     &	 (iphase(ip,iday2).eq.1.and.iphase(ip,iday).eq.0)) then
	    
c     crop is harvested not cut  => remove any possible management cut 	    
	      fcut = 0.

c     rem_harvbio = harvested biomass removed from site	      
	      if (ipool.eq.1) then
	         rem_harvbio = fL_harv(ip)*carbon(ip,1,iday)
	      endif 	      
	      if (ipool.eq.2) then
	         rem_harvbio = fR_harv(ip)*root_biomass(ip,iday)
     &            +fS_harv(ip)*(carbon(ip,2,iday)-root_biomass(ip,iday))
          endif

c     xlit_harvbio = harvested biomass transferred to litter	      
              xlit_harvbio = carbon(ip,ipool,iday)- rem_harvbio
	      
	     endif	    
c=======================================================================

	    
c      charvest= harvested or (management) cut biomass removed from site
c	    
            charvest(ip,ipool,iday) = fcut*carbon(ip,ipool,iday)
     &                      + rem_harvbio
            carbon(ip,ipool,iday) = carbon(ip,ipool,iday) 
     &                      - charvest(ip,ipool,iday) - xlit_harvbio     
            ycharvest(ip) = ycharvest(ip) + charvest(ip,ipool,iday)
	    
	    xlit_prod(ip,ipool,iday) = xlit_prod(ip,ipool,iday)
     &                      + xlit_harvbio
	    
            if (carbon(ip,ipool,iday).lt.0.01) then
              xlit_prod(ip,ipool,iday) = 
     &        xlit_prod(ip,ipool,iday) +
     &        carbon(ip,ipool,iday)
              carbon(ip,ipool,iday) = 0.
            endif	    
	    
	    
          enddo             ! end do ipool

 2323    format(i6,2(1x,f8.2))
c      write(*,*)'year_iteration:befor if(carbon(ip...xleaf_max'

          if(carbon(ip,1,iday).gt.xleaf_max(ip))
     &      xleaf_max(ip) = carbon(ip,1,iday)
          if(rese(ip).gt.carbon(ip,2,iday))
     &      rese(ip) = carbon(ip,2,iday)


          if (iday.eq.nd) then

cmoi----Rmin------------------------------------------------------------
            if (xlai_max(ip).ne.0.) then 
              R_min(ip) = xlai_min(ip) / xlai_max(ip)
            else
              R_min(ip) = 0.
            endif
            xlai_moy(ip) = xlai_moy(ip) / float(nd)
cmoi----Rmin------------------------------------------------------------

            rese(ip) = rese_frac(ip) * xleaf_max(ip)

          endif
  
          if(ip.le.npft0.or.ip.ge.npft0+ncrop+1) then
           ynppf(ip) = ynppf(ip) + xnpp(ip,iday)
	   ynppf_ini(ip,ngt) = ynppf(ip)
	  else
           if(iharv.eq.0) then
	     ynppf(ip) = ynppf(ip) + xnpp(ip,iday)     	     
	     if(maturity(ip).eq.-999) ynppf(ip) =0.	     
	     ynppf_ini(ip,ngt) = ynppf(ip)
	     if(iphase(ip,iday).eq.2) then
	       ynppf_ini(ip,ngt) = 0.
	       iharv = 1
	     endif  
	   else 
	     ynppf_ini(ip,ngt) = ynppf_ini(ip,ngt) + xnpp(ip,iday)
	   endif   
	  endif

        end do    ! end do iday
       endif
       if(ynppf(ip).lt.0.) ynppf(ip) = 0.
       ynppf_grd(ip,ngt) = ynppf(ip)
       
c Ingrid
c       yield(ip) = yield_fac(ip)*ynppf(ip)
            
              
      end do      ! end do ip

      return
      end subroutine year_iteration