c=======================================================================
c***********************************************************************
      subroutine bashfor(stept,drv,y,ynew)
c***********************************************************************
c=======================================================================

c=======================================================================
c the explicit adams-bashforth prediction scheme estimates
c the value "ynew" of the vector "y" for next time value.
c=======================================================================

c      implicit double precision (a-h,o-z)
      implicit none
      include './com_18/parameter.common'
      include './com_18/newbdo.common'
c-----------------------------------------------
c JLP ajouté pour implicit none
c
      integer i,j
      real*8  cstp,drv,y,ynew
c
c-----------------------------------------------      
      dimension cstp(6), drv(nequat), y(nequat), ynew(nequat)
      real*4 stept

      data cstp /0.5, 0.41667, 0.375, 0.34861, 0.32986, 0.31559/

      do i = 1, nequat
         ynew(i) = y(i) + stept*drv(i)
      enddo
      do j = 1, norder
         do i = 1, nequat
            ynew(i) = ynew(i) + stept*cstp(j)*bdo(i,j)
         enddo
      enddo
      return
      end subroutine bashfor